summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/menubox8
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/menubox8')
-rwxr-xr-xcontrib/dialog/samples/menubox830
1 files changed, 30 insertions, 0 deletions
diff --git a/contrib/dialog/samples/menubox8 b/contrib/dialog/samples/menubox8
new file mode 100755
index 0000000..85448d0
--- /dev/null
+++ b/contrib/dialog/samples/menubox8
@@ -0,0 +1,30 @@
+#!/bin/sh
+# $Id: menubox8,v 1.7 2010/01/13 10:34:32 tom Exp $
+
+. ./setup-vars
+
+exec 3>&1
+RESULT=`$DIALOG --help-button \
+ --default-item "MSDOS" \
+ --clear \
+ --title "MENU BOX" "$@" \
+ --menu "Hi, this is a menu box. You can use this to \n\
+present a list of choices for the user to \n\
+choose. If there are more items than can fit \n\
+on the screen, the menu will be scrolled. \n\
+You can use the UP/DOWN arrow keys, the first \n\
+letter of the choice as a hot key, or the \n\
+number keys 1-9 to choose an option.\n\
+Try it now!\n\n\
+ Choose the OS you like:" 20 51 4 \
+ "Linux" "The Great Unix Clone for 386/486" \
+ "NetBSD" "Another free Unix Clone for 386/486" \
+ "OS/2" "IBM OS/2" \
+ "WIN NT" "Microsoft Windows NT" \
+ "PCDOS" "IBM PC DOS" \
+ "MSDOS" "Microsoft DOS" \
+2>&1 1>&3`
+retval=$?
+exec 3>&-
+
+. ./report-string
OpenPOWER on IntegriCloud